# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['odd_cli',
 'odd_cli.apps',
 'odd_cli.reader',
 'odd_cli.reader.mapper',
 'odd_cli.reader.models']

package_data = \
{'': ['*']}

install_requires = \
['agate>=1.7.1,<2.0.0',
 'aiohttp>=3.9.5,<4.0.0',
 'aiosignal>=1.3.1,<2.0.0',
 'appdirs>=1.4.4,<2.0.0',
 'asn1crypto>=1.5.1,<2.0.0',
 'async-timeout>=4.0.3,<5.0.0',
 'attrs>=23.2.0,<24.0.0',
 'babel>=2.15.0,<3.0.0',
 'certifi>=2024.6.2,<2025.0.0',
 'cffi>=1.16.0,<2.0.0',
 'cfgv>=3.4.0,<4.0.0',
 'chardet>=5.2.0,<6.0.0',
 'charset-normalizer>=3.3.2,<4.0.0',
 'click>=8.1.7,<9.0.0',
 'colorama>=0.4.6,<0.5.0',
 'commonmark>=0.9.1,<0.10.0',
 'cryptography>=42.0.8,<43.0.0',
 'dbt-core>=1.7.12,<2.0.0',
 'dbt-extractor>=0.5.1,<0.6.0',
 'dbt-postgres>=1.7.12,<2.0.0',
 'dbt-semantic-interfaces>=0.4.4,<0.5.0',
 'dbt-snowflake>=1.7.5,<2.0.0',
 'diff-cover>=9.0.0,<10.0.0',
 'distlib>=0.3.8,<0.4.0',
 'exceptiongroup>=1.2.1,<2.0.0',
 'filelock>=3.15.1,<4.0.0',
 'frozenlist>=1.4.1,<2.0.0',
 'funcy>=2.0,<3.0',
 'greenlet>=3.0.3,<4.0.0',
 'identify>=2.5.36,<3.0.0',
 'idna>=3.7,<4.0',
 'importlib-metadata>=6.11.0,<7.0.0',
 'iniconfig>=2.0.0,<3.0.0',
 'isodate>=0.6.1,<0.7.0',
 'jaraco-classes>=3.4.0,<4.0.0',
 'jeepney>=0.8.0,<0.9.0',
 'jinja2>=3.1.4,<4.0.0',
 'jsonschema-specifications>=2023.12.1,<2024.0.0',
 'jsonschema>=4.22.0,<5.0.0',
 'keyring>=24.3.1,<25.0.0',
 'leather>=0.4.0,<0.5.0',
 'logbook>=1.5.3,<2.0.0',
 'markupsafe>=2.1.5,<3.0.0',
 'mashumaro>=3.13.1,<4.0.0',
 'minimal-snowplow-tracker>=0.0.2,<0.0.3',
 'more-itertools>=10.3.0,<11.0.0',
 'msgpack>=1.0.8,<2.0.0',
 'multidict>=6.0.5,<7.0.0',
 'mypy-extensions>=1.0.0,<2.0.0',
 'networkx>=3.2.1,<4.0.0',
 'nodeenv>=1.9.1,<2.0.0',
 'numpy>=2.0.0,<3.0.0',
 'odd-dbt>=0.2.13,<0.3.0',
 'odd-models>=2.0.46,<3.0.0',
 'oddrn-generator>=0.1.102,<0.2.0',
 'packaging>=24.1,<25.0',
 'parsedatetime>=2.6,<3.0',
 'pathspec>=0.11.2,<0.12.0',
 'platformdirs>=4.2.2,<5.0.0',
 'pluggy>=1.5.0,<2.0.0',
 'protobuf>=4.25.3,<5.0.0',
 'psycopg2-binary==v2.9.9',
 'pyarrow>=16.1.0,<17.0.0',
 'pycparser>=2.22,<3.0',
 'pydantic>=2.7.4,<3.0.0',
 'pygments>=2.18.0,<3.0.0',
 'pyjwt>=2.8.0,<3.0.0',
 'pyopenssl>=24.1.0,<25.0.0',
 'python-dateutil>=2.9.0.post0,<3.0.0',
 'python-slugify>=8.0.4,<9.0.0',
 'pytimeparse>=1.1.8,<2.0.0',
 'pytz>=2024.1,<2025.0',
 'pywin32-ctypes>=0.2.2,<0.3.0',
 'pyyaml>=6.0.1,<7.0.0',
 'referencing>=0.35.1,<0.36.0',
 'regex>=2024.5.15,<2025.0.0',
 'requests>=2.28.2,<3.0.0',
 'rich>=12.6.0,<13.0.0',
 'rpds-py>=0.18.1,<0.19.0',
 'secretstorage>=3.3.3,<4.0.0',
 'setuptools>=70.0.0,<71.0.0',
 'shellingham>=1.5.4,<2.0.0',
 'six>=1.16.0,<2.0.0',
 'snowflake-connector-python>=3.11.0,<4.0.0',
 'sortedcontainers>=2.4.0,<3.0.0',
 'sql-metadata>=2.12.0,<3.0.0',
 'sqlalchemy>=2.0.31,<3.0.0',
 'sqlfluff==3.0.5',
 'sqllineage>=1.5.3,<2.0.0',
 'sqlparse>=0.5.0,<0.6.0',
 'tblib>=3.0.0,<4.0.0',
 'text-unidecode>=1.3,<2.0',
 'toml>=0.10.2,<0.11.0',
 'tomli>=2.0.1,<3.0.0',
 'tomlkit>=0.12.5,<0.13.0',
 'tqdm>=4.66.4,<5.0.0',
 'typer>=0.7.0,<0.8.0',
 'typing-extensions>=4.12.2,<5.0.0',
 'urllib3>=1.26.19,<2.0.0',
 'virtualenv>=20.26.2,<21.0.0',
 'win32-setctime>=1.1.0,<2.0.0',
 'yarl>=1.9.4,<2.0.0',
 'zipp>=3.19.2,<4.0.0']

entry_points = \
{'console_scripts': ['odd = odd_cli.main:app']}

setup_kwargs = {
    'name': 'odd-cli',
    'version': '0.2.12',
    'description': 'Command line tool for working with OpenDataDiscovery. ',
    'long_description': "## OpenDataDiscovery CLI\n[![PyPI version](https://badge.fury.io/py/odd-cli.svg)](https://badge.fury.io/py/odd-cli)\n\nCommand line tool for working with OpenDataDiscovery.\nIt makes it easy to create token though console and ingest local dataset's metadata to OpenDataDiscovery platform.\n\n## Installation\n```bash\npip install odd-cli\n```\n\n#### Available commands\n```text\n╭─ Options ────────────────────────────────────────────────────────────────────────────────────────────────────────────╮\n│ --install-completion          Install completion for the current shell.                                              │\n│ --show-completion             Show completion for the current shell, to copy it or customize the installation        │\n╰──────────────────────────────────────────────────────────────────────────────────────────────────────────────────────╯\n╭─ Commands ─────────────────────────────────────────────────────────────────────────────────╮\n│ collect                       Collect and ingest metadata for local files from folder      │\n│ dbt                           Run dbt tests and inject results to ODD platform             │\n│ tokens                        Manipulate OpenDataDiscovery platform's tokens               │\n╰────────────────────────────────────────────────────────────────────────────────────────────╯\n```\n## Env variables used for commands\n\n`ODD_PLATFORM_HOST` - Location of OpenDataDiscovery Platform.\n\n`ODD_PLATFORM_TOKEN` - Collector token, can be created using [UI](https://docs.opendatadiscovery.org/configuration-and-deployment/trylocally#create-collector-entity) or `odd tokens create` command.\n\n## Commands\nCreate collector token.\n```bash\nodd tokens create <collector_name>\n```\n\nParse and ingest local files\n```bash\nodd collect <path_to_folder_with_datasets>\n```\n\nRun dbt tests and inject results to ODD platform. It uses [odd-dbt](https://github.com/opendatadiscovery/odd-dbt) package.\n```bash\nodd dbt test <path_to_dbt_project>\n```\n",
    'author': 'Pavel Makarichev',
    'author_email': 'vixtir90@gmail.com',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'None',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.9,<4.0',
}


setup(**setup_kwargs)
